<?php
/*
+--------------------------------------------------------------------------
|	SecureTrading STPP Payment Pages module for CubeCart
|
|	Built and tested on CubeCart 4.4.3
|
|	www.securetrading.com
+--------------------------------------------------------------------------
*/
##### Include these two line at the beginning of all your module's files #####
require_once CC_ROOT_DIR.CC_DS.'modules'.CC_DS.'common.inc.php';
$modLoad = @new ModuleLoader(__FILE__, $config['defaultLang'], $language, $moduleName);
##############################################################################
?>
<?php if ($modLoad->message) echo msg($modLoad->message); ?>

<p class="copyText"><h2><a href="http://www.securetrading.com/"><img align="baseline" style="margin-bottom: -4px;" src="modules/<?php echo $moduleType; ?>/<?php echo $moduleName; ?>/admin/logo.gif" alt="" border="0" title="" /></a> SecureTrading STPP Payment Pages</h2></p>
<p style="padding: 8px;">&copy;2011 SecureTrading Ltd.<br />Module Version: 1.0.0 [09/02/2011]<br /> Please read the included documentation before using this module.</p>
<form action="<?php echo $glob['adminFile']; ?>?_g=<?php echo $_GET['_g']; ?>&amp;module=<?php echo $_GET['module']; ?>" method="post" enctype="multipart/form-data">
<table border="0" cellspacing="1" cellpadding="3" class="mainTable">
  <tr>
    <td colspan="2" class="tdTitle">Configuration Settings </td>
  </tr>
  <tr>
    <td style="width: 20%;" align="left" class="tdText"><strong>Status:</strong><br /><span style="font-size: 10px; color: #444444;">Enable or disable the module here.</span></td>
    <td class="tdText">
	<select name="module[status]">
		<option value="1" <?php if($modLoad->settings['status']==1) echo "selected='selected'"; ?>>Enabled</option>
		<option value="0" <?php if($modLoad->settings['status']==0) echo "selected='selected'"; ?>>Disabled</option>
    </select>	</td>
  </tr>
   <tr>
  	<td align="left" class="tdText"><strong>Description:</strong><br /><span style="font-size: 10px; color: #444444;">How to display the payment method to your customers.</span></td>
    <td class="tdText"><input type="text" name="module[desc]" value="<?php echo $modLoad->settings['desc']; ?>" class="textbox" size="30" /><br /></td>
  </tr>
  <tr>
  <td align="left" class="tdText"><strong>Site Reference:</strong><br /><span style="font-size: 10px; color: #444444;">The site reference sent to you when you opened your SecureTrading account. [Example: mysite12345]</span></td>
    <td class="tdText"><input type="text" name="module[siteRef]" value="<?php echo $modLoad->settings['siteRef']; ?>" class="textbox" size="30" /></td>
  </tr>
  <tr>
  <td align="left" class="tdText"><strong>Merchant Email Address:</strong><br /><span style="font-size: 10px; color: #444444;">Email address to receieve notifications.</span></td>
    <td class="tdText"><input type="text" name="module[merchantEmail]" value="<?php echo $modLoad->settings['merchantEmail']; ?>" class="textbox" size="30" /></td>
  </tr>
  <tr>
  <td align="left" class="tdText"><strong>Enable Security Hash Feature:</strong><br /><span style="font-size: 10px; color: #444444;">Enable this option to use the Security Hash feature. You will need to contact SecureTrading Technical Support (support@securetrading.com) to have your account updated to use the Security Hash.</span></td>
    <td class="tdText"><input type="checkbox" name="module[useHash]" <?php if($modLoad->settings['useHash'] == true) { echo "checked=\"checked\"";} ?>" class="textbox" /></td>
  </tr>
   <tr>
  <td align="left" class="tdText"><strong>Security Hash Fields:</strong><br /><span style="font-size: 10px; color: #444444;">Select the fields, and order, to send with each transaction. Separate each field with a comma. Available fields are: 'currency', 'amount', 'sitereference'</span></td>
    <td class="tdText"><input type="text" name="module[hashFields]" value="<?php echo $modLoad->settings['hashFields']; ?>" class="textbox" size="30" /></td>
  </tr>
   <tr>
  <td align="left" class="tdText"><strong>Security Hash Password:</strong><br /><span style="font-size: 10px; color: #444444;">Enter your security hash password here. This password is selected when enabling the Security Hash feature on your account, and is <em>not</em> the same as your MyST login password.</span></td>
    <td class="tdText"><input type="password" name="module[hashPass]" value="<?php echo $modLoad->settings['hashPass']; ?>" class="textbox" size="30" /></td>
  </tr>
  <tr>
  <td align="left" class="tdText"><strong>Default:</strong></td>
      <td class="tdText">
	<select name="module[default]">
		<option value="1" <?php if($modLoad->settings['default'] == 1) echo "selected='selected'"; ?>>Yes</option>
		<option value="0" <?php if($modLoad->settings['default'] == 0) echo "selected='selected'"; ?>>No</option>
	</select>	</td>
  </tr>
  <tr>
    <td align="right" class="tdText"><div align="left"><strong>Callback URL: </strong></div></td>
    <td class="tdText"><?php echo $GLOBALS['storeURL']."/index.php?_g=rm&amp;type=gateway&amp;cmd=process&amp;module=SecureTrading_STPP_PP"; ?></td>
  </tr>
  <tr>
    <td valign="top" align="left" class="tdText"><strong>File Check:</strong><br /><span style="font-size: 10px; color: #444444;">This section validates the module's files. If any of these files are yellow, you <strong><em>must</em></strong> update the file's permissions before using the module. Missing files are coloured red, suggesting an incorrect installation.</span></td>
    <td class="tdText" valign="top">
	<?php
		$requiredFiles = array("admin/index.inc.php", "admin/logo.gif", "index.php", "process.inc.php", "transfer.inc.php"); // These are the files that make up the module, they all need to be readable by the server.
		echo "<em>", $GLOBALS['modLoad']->path, "</em>"; // Print out the module path so the user can get to where there files are (or should be) located.
		echo "<ul>";
		foreach($requiredFiles as $file) {
				if(is_readable($GLOBALS['modLoad']->path . $file)) {
					// File exists and is readable, well done.
					echo "<li style=\"font-weight: bold; color: green;\">", $file, " - OK</li>";
				} else {
					if(!file_exists($GLOBALS['modLoad']->path . $file)) {
						// File doesn't exist..
						echo "<li style=\"font-weight: bold; color: red;\">", $file, " - File not found</li>";
					} else {
						// File is unreadable, needs permissions updating
						echo "<li style=\"font-weight: bold; color: orange;\">", $file, " - Access denied</li>";
					}
				}
		}
		echo "</ul>";
	?>
    </td>
  </tr>
  <tr>
    <td align="right" class="tdText">&nbsp;</td>
    <td class="tdText"><input type="submit" class="submit" value="Edit Config" /></td>
  </tr>
</table>
</form>

