<?php
// process.inc.php
//
// Component of SecureTrading STPP Payment Pages module for CubeCart 4


global $module;

// Check request string for required data. I'm checking REQUEST, to tolerate users who accidentally choose "GET" as their notification method.
if( !isset($_REQUEST['orderreference']) )
{ echo '<br><br><br><center><b><u>Fatal Error (103)</u> - Callback Failure</b><br><br>Please accept our apologies for any inconvenience caused on this rare occasion. Your order may still have been processed and therefore please do not process another. In order to confirm this please do not hesitate in contacting us.<br><br><b>PLEASE DO NOT HIT THE BACK BUTTON OR REFRESH THE PAGE</b></center>';
die();
}


// Retrieve the necessary details from the database (Callback Requirement: orderreference)
$customer = $db->select("SELECT `customer_id`, `prod_total` FROM ".$glob['dbprefix']."CubeCart_order_sum WHERE `cart_order_id` = ".$db->MySQLSafe($_REQUEST['orderreference']));

// Process the post
if($customer==true){

	$transData['customer_id'] = $customer[0]["customer_id"];
	$transData['gateway'] = $module['desc'];
	$transData['trans_id'] = $_REQUEST['transactionreference'];
	$transData['order_id'] = $_REQUEST['orderreference'];
	$transData['amount'] = $customer[0]["prod_total"];

	if($_REQUEST['errorcode'] == "7000"){

		$paymentResult = 3;
		$transData['status'] = "Fail";

			$transData['notes'] = "Payment Failed";

	} else {

		$paymentResult = 2;
		$order->orderStatus(3,$_REQUEST['orderreference']);
		$transData['status'] = "Success";
		$transData['notes'] = "Payment taken successfully. Transaction Reference: " .$_REQUEST['transactionreference'];
		$order->extranotes = "Payment taken successfully. Transaction Reference: " .$_REQUEST['transactionreference'];
 header($_SERVER['SERVER_PROTOCOL'] .' 200 OK');
	}

	$order->storeTrans($transData);
	die("Thank you, come again");	// CubeCart was sending a "302 Found" Header, which is fine, but SecureTrading specifically requires a "200 OK", so we kill the script here and dump out some text to force a 200 OK
}
else
{
	die("<strong>Fatal Error:</strong> Order not found.");
}



?>
